curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/card_accounts/{cardAccountID}/withdrawals/{cardWithdrawalID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"card_account_id": "<string>",
"customer_id": "<string>",
"amount": "<string>",
"currency": "usdc",
"destination": {
"chain": "<string>",
"address": "<string>",
"memo": "<string>",
"tx_hash": "<string>",
"gas_fee": {
"amount": "<string>",
"currency": "<string>"
}
},
"created_at": "<string>",
"updated_at": "<string>",
"type": "top_up_balance_withdrawal",
"client_note": "<string>"
}Retrieve a card withdrawal
Retrieve a card withdrawal with the specified ID, applicable to top-up accounts only
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Response
The retrieved withdrawal
A card funds withdrawal
ID of the withdrawal
1 - 42[a-z0-9]*ID of the card account associated with the withdrawal
1 - 42[a-z0-9]*ID of the customer who owns the card account
1 - 42[a-z0-9]*The amount represented as a decimal string
The currency of the withdrawal, which is the crypto currency on the card account
usdc Show child attributes
Show child attributes
Timestamp when the withdrawal was created, in ISO8601 format
Timestamp when the withdrawal was last updated, in ISO8601 format
The type of the withdrawal. Defaults to top_up_balance_withdrawal.
top_up_balance_withdrawal, fee An optional client-provided note for the withdrawal
Was this page helpful?